Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class Status

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.Status

All Implemented Interfaces:
  Serializable

    public class Status

extends Property

Defines a STATUS iCalendar component property.

         4.8.1.11 Status

            Property Name: STATUS

            Purpose: This property defines the overall status or confirmation for
            the calendar component.

            Value Type: TEXT

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: This property can be specified in "VEVENT", "VTODO" or
            "VJOURNAL" calendar components.

            Description: In a group scheduled calendar component, the property is
            used by the "Organizer" to provide a confirmation of the event to the
            "Attendees". For example in a "VEVENT" calendar component, the
            "Organizer" can indicate that a meeting is tentative, confirmed or
            cancelled. In a "VTODO" calendar component, the "Organizer" can
            indicate that an action item needs action, is completed, is in
            process or being worked on, or has been cancelled. In a "VJOURNAL"
            calendar component, the "Organizer" can indicate that a journal entry
            is draft, final or has been cancelled or removed.

            Format Definition: The property is defined by the following notation:

              status     = "STATUS" statparam] ":" statvalue CRLF

              statparam  = *(";" xparam)

              statvalue  = "TENTATIVE"           ;Indicates event is
                                                 ;tentative.
                         / "CONFIRMED"           ;Indicates event is
                                                 ;definite.
                         / "CANCELLED"           ;Indicates event was
                                                 ;cancelled.
                 ;Status values for a "VEVENT"

              statvalue  =/ "NEEDS-ACTION"       ;Indicates to-do needs action.
                         / "COMPLETED"           ;Indicates to-do completed.
                         / "IN-PROCESS"          ;Indicates to-do in process of
                         / "CANCELLED"           ;Indicates to-do was cancelled.
                 ;Status values for "VTODO".

              statvalue  =/ "DRAFT"              ;Indicates journal is draft.
                         / "FINAL"               ;Indicates journal is final.
                         / "CANCELLED"           ;Indicates journal is removed.
                 ;Status values for "VJOURNAL".

            Example: The following is an example of this property for a "VEVENT"
            calendar component:

              STATUS:TENTATIVE

            The following is an example of this property for a "VTODO" calendar
            component:

              STATUS:NEEDS-ACTION

            The following is an example of this property for a "VJOURNAL"
            calendar component:

              STATUS:DRAFT

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary
`static Status` | `VEVENT_CANCELLED`
`static Status` | `VEVENT_CONFIRMED`
`static Status` | `VEVENT_TENTATIVE`
`static Status` | `VJOURNAL_CANCELLED`
`static Status` | `VJOURNAL_DRAFT`
`static Status` | `VJOURNAL_FINAL`
`static Status` | `VTODO_CANCELLED`
`static Status` | `VTODO_COMPLETED`
`static Status` | `VTODO_IN_PROCESS`
`static Status` | `VTODO_NEEDS_ACTION`

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`Status()` Default constructor.
`Status(ParameterList aList, String aValue)`
`Status(String aValue)`

Method Summary
`String` | `getValue()`
`void` | `setValue(String aValue)` Sets the current value of the property.
`void` | `validate()` Perform validation on a property.

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VEVENT_TENTATIVE

    public static final Status VEVENT_TENTATIVE

### VEVENT_CONFIRMED

    public static final Status VEVENT_CONFIRMED

### VEVENT_CANCELLED

    public static final Status VEVENT_CANCELLED

### VTODO_NEEDS_ACTION

    public static final Status VTODO_NEEDS_ACTION

### VTODO_COMPLETED

    public static final Status VTODO_COMPLETED

### VTODO_IN_PROCESS

    public static final Status VTODO_IN_PROCESS

### VTODO_CANCELLED

    public static final Status VTODO_CANCELLED

### VJOURNAL_DRAFT

    public static final Status VJOURNAL_DRAFT

### VJOURNAL_FINAL

    public static final Status VJOURNAL_FINAL

### VJOURNAL_CANCELLED

    public static final Status VJOURNAL_CANCELLED

Constructor Detail

### Status

    public Status()

  Default constructor.

### Status

    public Status(String aValue)

Parameters:
  `aValue` - a value string for this component

### Status

    public Status(ParameterList aList,
                  String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

Method Detail

### setValue

    public void setValue(String aValue)

  Description copied from class: `Property`
  Sets the current value of the property.

  Specified by:
    `setValue` in class `Property`
  Parameters:
    `aValue` - a string representation of the property value

### getValue

    public final String getValue()

  Specified by:
    `getValue` in class `Property`
  Returns:
    Returns the value.

### validate

    public final void validate()
                        throws ValidationException

  Description copied from class: `Property`
  Perform validation on a property.

  Specified by:
    `validate` in class `Property`
  Throws:
    `ValidationException` - where the property is not in a valid state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.